/* Variables */
:root{
  --main-color: #EB7D10;
  --secondary-color: #fad0b6;
  --dark: #2e2e2e;
  --text: #555;
  --white: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Source Sans Pro', sans-serif;
}

body {
  line-height: 1.6;
}

a {
  text-decoration: none;
}

header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 40px;
  height: 80px;
  backdrop-filter: blur(10px);
  background: rgba(0,0,0,0.3);
  transition: 0.3s;
}

/* OCULTAR HAMBURGUESA EN PC */
.hamburger{
    display: none;
    font-size: 28px;
    color: white;
    cursor: pointer;
}

header.scrolled {
  background: #2e2e2e;
}

header > div {
  height: 75px;
  display: flex;
  align-items: center;
}

header .img { flex: 1; }
header .lista { flex: 2; }
header .contact { flex: 1; justify-content: center; }

.lista ul {
  list-style: none;
  display: flex;
}

.lista ul li{
  position: relative;
}

.lista a {
  color: white;
  text-decoration: none;
  font-size: 15px;
  transition: 0.3s;
}

header .lista ul {
  display: flex;
  gap: 6rem;
  list-style: none;
  margin: 0;
  padding: 0;
}
header .lista ul li {
  height: auto;
  width: 120px;
  display: flex;
  align-items: center;
  padding: 0px;
}


header .lista ul li a{
  color: white;
  cursor: pointer;
  transition: 0.3s;
  
}

.lista ul li ul {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #2e2e2e;
  min-width: 180px;
}

.lista ul li ul li{
  width: 100%;
  color: white;
  padding: 10px;
}

header .contact{
    display: flex;
    align-items: center;
    justify-content:center;
    gap: 25px;
}

header .contact a{
    color: white;
    margin-left: 10px;
}

header.scrolled{
    background-color: #363636;
    transition: 0.5s;
}

button {
  background: var(--main-color);
  border: none;
  border-radius: 6px;
  color: white;
  padding: 10px 16px;
  cursor: pointer;
  font-weight: 600;
  transition: 0.5s;
}

header .contact a:last-child button{
    background: transparent;
    border: 1px solid white;
}

/* Main */
.sectionPrincipal {
  min-height: 90vh;
  background: url("../img/4.jpg") center/cover no-repeat;
  display: flex;
  align-items: center;
  position: relative;
  color: white;
}

.sectionPrincipal::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.3);
}

.hero-text {
  margin-left: 15%;
  width: 35%;
  position: relative;
  z-index: 1;
}

.hero-text h2 {
  font-size: 40px;
  margin-bottom: 20px;
}

main .sectionPrincipal .hero-text button{
    margin-top: 50px;
    background-color: #fad0b6;
    color: #794512;
    font-size: 15px;
    font-weight: 700;
}

.metricas {
  display: flex;
  justify-content: space-between;
  margin-top: 80px;
  transform: translateX(-50%);
  left: 25%;
  position: relative;
  width: 80%;
  text-align: center;
  max-width: 400px;
}

.caja {
  flex: 1;
  padding: 10px;
}

.caja:not(:last-child) {
  border-right: 2px solid #ffffff;
}

.caja h3 {
  font-size: 40px;
  margin-bottom: 10px;
}
main .metricas .caja p{
    font-size: 15px;
    letter-spacing: 1px;
}
main .metricas .caja p span, main .info .informacion p#trabajamos{
    color: #EB7D10;
    font-weight: 600;
}

/* Section Info */
main .info {
  background: #f6f6f6;
  padding: 80px 0;
}

.informacion {
  width: 80%;
  margin: auto;
  text-align: center;
}

.cartas {
  background: white;
  border-radius: 15px;
  width: 30%;
  padding: 30px;
  height: 15vh;
  display: inline-block;
  margin: 5% 1%;
  vertical-align: top;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  position: relative;
  flex-wrap: wrap;
}

#barra_en_medio{
  width: 10%;
  text-align: center;
  position: relative;
  left: 45%;
  top: 2vh;
}

main .info .cartas h3{
    color: black;
    padding-top: 5%;
    font-size: 23px;
}
main .info .cartas p{
    font-size: 15px;
    color: #555555;
    line-height: 1.5;
}
main .info .cartas img{
    width: 60px;
    height: 60px;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    top: -10%;
    background-color: rgb(255, 238, 222);
    padding: 15px;
    color: #EB7D10;
    border-radius: 8px;
}

/* Parte de Servicios */

.servicios {
  display: flex;
  padding: 100px 0;
}

.servicios > div {
  width: 50%;
}

.servicios img {
  width: 70%;
  margin: auto;
  display: block;
  position: relative;
  top: 80px;
}

/** Seccion del info-serv **/
main .servicios .info-serv{
    width: 50%;
    height: 700px;
    position: relative;
    top: 83px;
}

main .servicios .info-serv h2{
    font-size: 30px;
    margin-bottom: 8px;
 }

hr{
    background-color: #EB7D10;
    border: 1px solid #EB7D10;
    width: 15%;
    margin-bottom: 15px;
}

main .servicios svg{
    width: 40px;
    padding: 10px;
    background-color: rgb(255, 238, 222);
    float: left;
    margin-right: 5px;
    fill: #f37e09;
}

main .servicios .info-serv article{
    margin-top: 5%;
    height: 25%;
    padding: 10px;
}

main .servicios .info-serv h3{
    font-size: 20px;
    padding-top: 7px;
    padding-bottom: 15px;
}

main .servicios .info-serv p{
    font-size: 16px;
    color: #363636;
    width: 60%;

}

main .servicios .info-serv article a{
    font-size: 12px;
    color: #363636;
    font-weight: 600;
    transition: 0.3s;
}

/** SECTION - PROYECTOS **/
.proyectos{
    background-color: rgb(246, 246, 246);
    padding: 15px 0;
}
div .proyectos {
    width: 50%;
    margin: 0 auto 60px;
    height: 150vh;
}

.proyectos .titulo {
  text-align: center;
  font-size: 2.2rem;
  margin: 40px 0;
}

/* GRID */
.grid-proyectos {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

/* CARDS */
.card {
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

/* Alturas distintas */
.card.grande {
  height: 500px;
}

.card.pequeña {
  height: 400px;
}

.card.grande_1{
    height: 500px;
    position: relative;
    bottom: 100px;
}

/* Imagen */
.card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s ease;
}

/* Overlay */
.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.4);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-align: center;
  padding: 20px;
  transition: 0.5s ease;
}

.overlay h4 {
  font-size: 1.5rem;
  margin-bottom: 10px;
}

.overlay p {
  opacity: 0;
  transform: translateY(20px);
  transition: 0.4s ease;
}

/* COMO TRABAJAMOS */
#proceso_trabajo{
  padding: 80px 10%;
}

#proceso_trabajo h2{
  text-align: center;
  font-size: 32px;
  margin-bottom: 60px;
  color: #333;
}

/* CONTENEDOR */
.proceso-container{
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  flex-wrap: wrap;
  gap: 20px;
}

/* LINEA DE FONDO */
.proceso-container::before{
  content: "";
  position: absolute;
  top: 50%;
  left: 5%;
  right: 5%;
  height: 2px;
  background: #EB7D10;
  z-index: 0;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

#proceso_trabajo #linea-proceso{
  width: 8%;
  margin: 0 auto;
  background-color: #EB7D10;
  position: relative;
  bottom: 6vh;
}

/* CADA PASO (CÍRCULO) */
.paso{
  width: 140px;
  height: 140px;
  background: white;
  border: 3px solid #EB7D10;
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  z-index: 1;
  position: relative;
  transition: 0.3s;
  padding: 10px;
}

/* TITULO */
.paso h3{
  font-size: 14px;
  color: #EB7D10;
  margin-bottom: 5px;
  transition: 0.3s;
}

/* TEXTO */
.paso p{
  font-size: 11px;
  color: #666;
  line-height: 1.2;
  transition: 0.3s;
}

/* Was - Proyectos*/
.wasFixed img {
  width: 70px;
  position: fixed;
  bottom: 30px;
  right: 30px;
  border-radius: 50%;
  z-index: 999;
}


/** FOOTER **/
footer{
    height: 350px;
    background-color: #363636;
    padding: 15px;
}

footer div{
    height: 100%;
    width: 49.59%;
    float: left;
    display: flex;
}

footer div article{
    height: 80%;
    width: 49.7%;
    float: left;
    padding: 3%;
}

footer img{
    width: 150px;
    text-align: center;
}

footer h3{
    color: #f59e69;
    font-size: 20px;
}

footer p, p a{
    color: #ffffff;
    font-size: 15px;
    transition: 0.3s;

}

footer .info{
    height: 50%;
    background-color: #363636;
    padding-top: 0;
}

/** REDES - FOOTER **/
footer .redes{
    height: 50%;
}

footer .redes img{
    width: 60px;
    height: 60px;
    margin-right: 20px;
}
    